﻿using Syncfusion.Windows.Tools;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace QATSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            //UpdateQAT();
            Syncfusion.Windows.Shared.SkinStorage.SetVisualStyle(this, "Office2013");
        }

        private void UpdateQAT()
        {
            ribbon.QuickAccessToolBar.Items.Clear();
            ribbon.AddElementToQAT("one");
        }

        void QATRibbonButton1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("QAT RibbonButton1 clicked");
        }

        void QATRibbonButton2_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("QAT RibbonButton2 clicked");
        }

        private void RibbonButton_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("clicked");
        }

        private void UpdateQATRibbonButton_Click(object sender, RoutedEventArgs e)
        {
            this.UpdateQAT();
            
        }
    }
 }
